/*
 * Format specifiers for output.
 *
 * Copyright (C) 2022 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include <stdint.h>

/* In principle, the PR macros in inttypes.h should be usable, but some strange
   conflict seems to arise when building programs using them, resulting in
   errors when the macros are used. */

#define pFMT32 ""

#if __WORDSIZE == 64
#define pFMT64 "l"
#else
#define pFMT64 "ll"
#endif

/* See: systypes/base.h */

#define pFMToffset "ll"

/* Alternative for size_t or ssize_t (%z). */

#if __WORDSIZE == 32
#define pFMTsize pFMT32
#else
#define pFMTsize "l"
#endif

// vim: tabstop=2 expandtab shiftwidth=2
